#ifndef PICO_FMETER_H
#define PICO_FMETER_H

#define BIT(x) (1<<x)

#define DEF_SYSCLOCK  125000000   // default
#define PIO_TIME_DIV    4         // PIO-divider

#define MHZ_FAKTOR      1000000   // 1e6
#define MS_TEILER       1000      // us -> ms
#define PWM_VORTEILER   100       // fuer 1 KHz Intervalle


#define DEF_F1_MESSZEIT 333       // 0,333 s
#define DEF_TIMEOUT     11000     // 11 s FIN_min = 0,1 Hz
#define TYP_LED_ZEIT    50        // 50 ms

#define FIN1_PIN        2         // PIO-Input
#define LOCAL_LED       25        // on board
#define TRIMM_POTI      26        // analog Eingang A0

#define ADC_MAX         4095
#define ADC_FILTER      30        // fuer ext. R-trimm

#define DEF_BAUDRATE    115200

#endif
